Assign file Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
POST /api/v1/file

Set the unassigned files to belong to a documentable item and folder.

application/json

Body

  • folder string(uuid)

    Parent folder UUID to store this file under.

  • files array[string(uuid)] Required

    File UUIDs which are uploading, or has been uploaded but not yet been assigned to a model.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      UUID of the file

    • created_at string

      The timestamp of when the resource was created.

    • original_created_at string

      Timestamp of when the file was originally created

    • updated_at string

      The timestamp of when the resource was updated.

    • uploaded_at string

      Timestamp of when the file was uploaded

    • status string

      Current status of the uploading progress

    • filename string

      The filename including extension

    • name string

      The name of the file without extension

    • extension string

      The extension of the file

    • type string

      The MIME type of the file

    • size string

      The size of the file in bytes

    • path string

      The path of the file

    • last_modified string

      Timestamp of when the file was last modified before uploading

    • progress string

      The progress of the uploaded file as a percentage between 0 and 100

    • download_url string

      The download URL of the file

    • folder_name string

      The name of the folder the file is located in

    • folder object

      The folder this file is located in

      Hide folder attributes Show folder attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • slug string
      • path string
      • clients_read boolean
      • clients_write boolean
      • show_client_permissions boolean
      • is_system_folder boolean
      • is_pseudo_folder boolean
      • is_root_folder boolean
      • documentable_type string
      • documentable_uuid string
      • documentable string
      • participants_count integer
      • participants string
      • folders_count integer
      • folders string
      • files_count integer
      • files string
      • parents string
      • ancestors string
      • children string
      • depth integer
      • owned boolean
    • documentable_type string

      The documentable type such as account/plan/case/etc the file was uploaded to

    • documentable string

      The documentable the file was uploaded to

    • navigator object

      The documentable type and its UUID in order to navigator to the correct resource

      Hide navigator attributes Show navigator attributes object
      • model_type string
      • model_uuid string
    • firm object

      The firm which the file belongs to

      Hide firm attributes Show firm attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • slug string
      • address_1 string
      • address_2 string
      • town_city string
      • county string
      • postcode string
      • country string
      • regulatory_text string
      • logo_icon string
      • brand_colours object
        Hide brand_colours attributes Show brand_colours attributes object
        • sidebar_background string
        • sidebar_accent string
        • sidebar_text string
        • sidebar_hover string
        • sidebar_active string
        • sidebar_title_background string
        • sidebar_title_primary string
        • sidebar_title_secondary string
        • sidebar_title_secondary_hover string
        • email_background string
        • email_logo_background_panel string
        • email_sub_text string
        • email_button_background string
        • email_button_text string
        • portal_sidebar_button_background string
        • portal_sidebar_button_hover string
        • portal_sidebar_button_active string
        • portal_brand_title string
        • portal_brand_sub_title string
        • portal_sidebar_title string
        • portal_sidebar_text string
        • portal_sidebar_text_hover string
        • portal_sidebar_text_active string
        • portal_sidebar_icon string
        • portal_sidebar_icon_hover string
        • portal_sidebar_icon_active string
        • portal_background string
        • portal_sidebar_account_title string
        • portal_sidebar_account_email string
        • portal_sidebar_divider string
        • portal_dashboard_bg_one string
        • portal_dashboard_bg_two string
        • portal_sidebar_collapse_button string
        • portal_sidebar_collapse_button_hover string
        • portal_sidebar_user_select_background string
        • portal_sidebar_user_select_hover string
        • portal_sidebar_user_select_text string
        • portal_sidebar_user_select_text_hover string
        • portal_sidebar_user_select_border string
        • portal_sidebar_user_select_border_hover string
      • is_subscribed boolean
      • addon_subscriptions string
      • keep_deleted_files_for integer
      • tax number
      • month_end integer
      • statement_frequency string
      • billing object
        Hide billing attributes Show billing attributes object
        • invoice_address_1 string
        • invoice_address_2 string
        • invoice_town_city string
        • invoice_county string
        • invoice_postcode string
        • invoice_country string
        • invoice_email string
      • task_board_template string
      • ip_whitelist array[string]
      • welcome_paragraph_html string
      • email_welcome_paragraph_html string
      • show_fact_find_illustrations boolean
      • cc_email_addresses array[string]
      • bcc_email_addresses array[string]
      • reply_to_email_address string
      • mobile_app_support_number string
      • mobile_app_support_email string
    • account object

      The account that uploaded the file (if specified)

      Hide account attributes Show account attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • external_references string
    • tags array[object]

      The tags added to the file (if provided)

      Hide tags attributes Show tags attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • slug string
      • colour string
POST /api/v1/file
curl \
 --request POST 'https://api.plannrcrm.com/api/v1/file' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"folder":"169c9d73-40aa-4dc6-aad2-72d09aa3eaeb","files":["220d9084-cd72-4369-aa23-0ac8ee9757e6","8268d15f-ec5a-4028-b9fa-2439973058b4","dca028b8-6c37-4eb7-bbab-a64e2df60809"]}'
Request examples
{
  "folder": "169c9d73-40aa-4dc6-aad2-72d09aa3eaeb",
  "files": [
    "220d9084-cd72-4369-aa23-0ac8ee9757e6",
    "8268d15f-ec5a-4028-b9fa-2439973058b4",
    "dca028b8-6c37-4eb7-bbab-a64e2df60809"
  ]
}
Response examples (200)
{
  "uuid": "7eb69258-6529-4fcd-848f-5d29961f5291",
  "created_at": "2026-06-09T14:10:14+01:00",
  "original_created_at": "2026-06-09T14:10:14+01:00",
  "updated_at": "2026-06-09T14:10:14+01:00",
  "uploaded_at": "2026-06-09T14:10:14+01:00",
  "status": "uploaded",
  "filename": "Welcome to Plannr.pdf",
  "name": "Welcome to Plannr",
  "extension": "pdf",
  "type": "type",
  "size": "21691783",
  "path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
  "last_modified": "2026-06-09T14:10:14+01:00",
  "progress": "100",
  "download_url": "https://api.plannrcrm.com/file/3d07a3a6-19de-4b50-8f80-db76c160ad81/download",
  "folder_name": "folder 2",
  "folder": {
    "uuid": "cbf19ec0-f6ba-46c4-a798-cfa170639e4e",
    "created_at": "2026-06-09T14:10:14+01:00",
    "updated_at": "2026-06-09T14:10:14+01:00",
    "name": "Important Documents",
    "slug": "important-documents",
    "path": "Codepotato/Important Documents",
    "clients_read": true,
    "clients_write": true,
    "show_client_permissions": true,
    "is_system_folder": true,
    "is_pseudo_folder": true,
    "is_root_folder": true,
    "documentable_type": "account",
    "documentable_uuid": "account",
    "documentable": "Object",
    "participants_count": 3,
    "participants": "App\\Http\\Resources\\FolderParticipantResource",
    "folders_count": 5,
    "folders": "App\\Http\\Resources\\FolderResource",
    "files_count": 8,
    "files": "App\\Http\\Resources\\FileResource",
    "parents": "App\\Http\\Resources\\FolderResource",
    "ancestors": "App\\Http\\Resources\\FolderResource",
    "children": "App\\Http\\Resources\\FolderResource",
    "depth": 5,
    "owned": false
  },
  "documentable_type": "account",
  "documentable": "Object",
  "navigator": {
    "model_type": "account",
    "model_uuid": "3e54bfc1-558e-4028-b747-5c70b71839c0"
  },
  "firm": {
    "uuid": "44e156df-f527-438b-a51f-13c7eb2da08b",
    "created_at": "2026-06-09T14:10:14+01:00",
    "updated_at": "2026-06-09T14:10:14+01:00",
    "name": "Codepotato",
    "slug": "codepotato",
    "address_1": "Suite E, 5 The Briars",
    "address_2": "Waterberry Drive",
    "town_city": "Waterlooville",
    "county": "Hampshire",
    "postcode": "PO7 7YH",
    "country": "United Kingdom",
    "regulatory_text": "Regulatory text",
    "logo": "https://api.plannrcrm.com/images/plannr.jpg",
    "logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
    "brand_colours": {
      "sidebar_background": "#0E0E56",
      "sidebar_accent": "#36367E",
      "sidebar_text": "#FFFFFF",
      "sidebar_hover": "#0A0A42",
      "sidebar_active": "#53DBB8",
      "sidebar_title_background": "#36367E",
      "sidebar_title_primary": "#FFC634",
      "sidebar_title_secondary": "#FFFFFF",
      "sidebar_title_secondary_hover": "#FFFFFF",
      "email_background": "#0E0E56",
      "email_logo_background_panel": "#36367E",
      "email_sub_text": "#FFFFFF",
      "email_button_background": "#36367E",
      "email_button_text": "#FFFFFF",
      "portal_sidebar_button_background": "#F6F6F6",
      "portal_sidebar_button_hover": "#FFFFFF",
      "portal_sidebar_button_active": "#FFFFFF",
      "portal_brand_title": "#323B4B",
      "portal_brand_sub_title": "#828994",
      "portal_sidebar_title": "#11151D",
      "portal_sidebar_text": "#323B4B",
      "portal_sidebar_text_hover": "#323B4B",
      "portal_sidebar_text_active": "#323B4B",
      "portal_sidebar_icon": "#828994",
      "portal_sidebar_icon_hover": "#828994",
      "portal_sidebar_icon_active": "#828994",
      "portal_background": "#F6F6F6",
      "portal_sidebar_account_title": "#11151D",
      "portal_sidebar_account_email": "#828994",
      "portal_sidebar_divider": "#E3E5E9",
      "portal_dashboard_bg_one": "#EF4583",
      "portal_dashboard_bg_two": "#FFC634",
      "portal_sidebar_collapse_button": "#828994",
      "portal_sidebar_collapse_button_hover": "#B3B9C4",
      "portal_sidebar_user_select_background": "#F6F6F6",
      "portal_sidebar_user_select_hover": "#F6F6F6",
      "portal_sidebar_user_select_text": "#323B4B",
      "portal_sidebar_user_select_text_hover": "#323B4B",
      "portal_sidebar_user_select_border": "#EEEEEE",
      "portal_sidebar_user_select_border_hover": "#828994"
    },
    "is_subscribed": true,
    "addon_subscriptions": "App\\Http\\Resources\\Addons\\AddonSubscriptionResource",
    "keep_deleted_files_for": 30,
    "tax": 17.5,
    "month_end": 25,
    "statement_frequency": "monthly",
    "billing": {
      "invoice_address_1": "Suite E, 5 The Briars",
      "invoice_address_2": "Waterberry Drive",
      "invoice_town_city": "Waterlooville",
      "invoice_county": "Hampshire",
      "invoice_postcode": "PO7 7YH",
      "invoice_country": "United Kingdom",
      "invoice_email": "gareth@codepotato.co.uk"
    },
    "task_board_template": "App\\Http\\Resources\\Board\\BoardResource",
    "ip_whitelist": [
      "192.168.0.1",
      "127.0.0.1"
    ],
    "welcome_paragraph_html": "<h1>Welcome.</h1>",
    "email_welcome_paragraph_html": "Welcome to Plannr!",
    "show_fact_find_illustrations": true,
    "cc_email_addresses": [
      "jack@example.com",
      "jill@example.com"
    ],
    "bcc_email_addresses": [
      "jack@example.com",
      "jill@example.com"
    ],
    "reply_to_email_address": "jack@example.com",
    "mobile_app_support_number": "01234 567890",
    "mobile_app_support_email": "support@example.com"
  },
  "account": {
    "uuid": "234f0866-0ea4-44f3-aa3b-4dde34b6c211",
    "created_at": "2026-06-09T14:10:14+01:00",
    "updated_at": "2026-06-09T14:10:14+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
    "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
  },
  "tags": [
    {
      "uuid": "9e14312a-aa8b-4a6c-98fa-f964fc112870",
      "created_at": "2026-06-09T14:10:14+01:00",
      "updated_at": "2026-06-09T14:10:14+01:00",
      "name": "Mortgage",
      "slug": "mortgage",
      "colour": "#ef4582"
    }
  ]
}